package com.wall.snap.wallpaper.toolsnap;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;

import androidx.annotation.Nullable;

import com.wall.snap.wallpaper.MysnapApp;
import com.wall.snap.wallpaper.R;


public class MyTextsnap extends androidx.appcompat.widget.AppCompatTextView {


    public MyTextsnap(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }


    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.CustomeTv);
        boolean aBoolean = typedArray.getBoolean(R.styleable.CustomeTv_apply_font,false);
        if(aBoolean){
            setTypeface(MysnapApp.defaultFont);
        }

        typedArray.recycle();
    }



}
